# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate rustsec

Name:           rust-rustsec
Version:        0.28.3
Release:        %autorelease
Summary:        Client library for the RustSec security advisory database

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/rustsec
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump gix dependency from 0.54 to 0.55
# * drop unused "fix" feature with missing dependencies
Patch:          rustsec-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Client library for the RustSec security advisory database.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dependency-tree-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dependency-tree-devel %{_description}

This package contains library source intended for building other packages which
use the "dependency-tree" feature of the "%{crate}" crate.

%files       -n %{name}+dependency-tree-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+git-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+git-devel %{_description}

This package contains library source intended for building other packages which
use the "git" feature of the "%{crate}" crate.

%files       -n %{name}+git-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+osv-export-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+osv-export-devel %{_description}

This package contains library source intended for building other packages which
use the "osv-export" feature of the "%{crate}" crate.

%files       -n %{name}+osv-export-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
# * skip tests that require internet connectivity
%cargo_test -a -- -- --exact --skip enumerate_vulnerabilities --skip clone_into_existing_directory --skip query_vulnerabilitie
%endif

%changelog
%autochangelog
